# Order record

## Get a single order record

> Get a single order record by order ID

```json
{"openapi":"3.1.1","info":{"title":"Espresso API Server","version":"1.0"},"security":[{"ApiKeyAuth":[]}],"paths":{"/account/order":{"get":{"description":"Get a single order record by order ID","tags":["accounts"],"summary":"Get a single order record","parameters":[{"schema":{"type":"string"},"description":"Order ID","name":"id","in":"query","required":true}],"responses":{"200":{"description":"Order details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}}}}}},"components":{"schemas":{"espresso_internal_api_response.OrderResponse":{"type":"object","properties":{"account_id":{"type":"string"},"active_order_utxo_id":{"type":"string"},"base_qty":{"type":"string"},"commission":{"type":"string"},"commission_rate_bp":{"type":"integer"},"commission_unit":{"type":"string"},"created_at":{"type":"string"},"executed_base_qty":{"type":"string"},"executed_price":{"type":"string"},"executed_quote_qty":{"type":"string"},"id":{"type":"string"},"locked_base_qty":{"type":"string"},"locked_quote_qty":{"type":"string"},"market_order_limit_price":{"type":"string"},"ob_open_order_base_qty":{"type":"string"},"order_execution_records":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderExecutionRecordResponse"}},"price":{"type":"string"},"quote_qty":{"type":"string"},"side":{"allOf":[{"$ref":"#/components/schemas/schema.OrderSide"}]},"slippage_bp":{"type":"integer"},"status":{"allOf":[{"$ref":"#/components/schemas/schema.OrderStatus"}]},"symbol":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/schema.OrderType"}]},"updated_at":{"type":"string"}}},"espresso_internal_api_response.OrderExecutionRecordResponse":{"type":"object","properties":{"account_id":{"type":"string"},"commission":{"type":"string"},"commission_unit":{"type":"string"},"counter_party_order_id":{"type":"string"},"created_at":{"type":"string"},"execution_price":{"type":"string"},"filled_base_qty":{"type":"string"},"filled_quote_qty":{"type":"string"},"id":{"type":"string"},"order_id":{"type":"string"},"role":{"allOf":[{"$ref":"#/components/schemas/schema.OrderExecutionRole"}]}}},"schema.OrderExecutionRole":{"type":"string","enum":["maker","taker"]},"schema.OrderSide":{"type":"string","enum":["buy","sell"]},"schema.OrderStatus":{"type":"string","enum":["building","processing","open","closed","failed","cancelled"]},"schema.OrderType":{"type":"string","enum":["market","limit"]},"espresso_internal_api_response.ErrorJSONWithCodeResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"}}}}}}
```
